Qt安装
Qt安装
Tags
Debian默认Qt版本为5.11.3, gcc版本为8.3。ubuntu20.04默认Qt版本为5.12.2, gcc版本为9.3。因此需要安装较低版本的Qt与gcc
 
 

安装gcc8与gcc10

编译安装看起来过于麻烦,因此选择从apt源安装
sudo apt install gcc-8 g++-8 gcc-9 g++-9 gcc-10 g++-10
配置多个版本的gcc
sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-10 100 --slave /usr/bin/g++ g++ /usr/bin/g++-10 --slave /usr/bin/gcov gcov /usr/bin/gcov-10
sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-9 90 --slave /usr/bin/g++ g++ /usr/bin/g++-9 --slave /usr/bin/gcov gcov /usr/bin/gcov-9
sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-8 80 --slave /usr/bin/g++ g++ /usr/bin/g++-8 --slave /usr/bin/gcov gcov /usr/bin/gcov-8
默认gcc10的优先级最高,如果需要修改默认的版本,则
sudo update-alternatives --config gcc

有 3 个候选项可用于替换 gcc (提供 /usr/bin/gcc)。

  选择       路径           优先级  状态
------------------------------------------------------------
  0            /usr/bin/gcc-10   100       自动模式
  1            /usr/bin/gcc-10   100       手动模式
* 2            /usr/bin/gcc-8    80        手动模式
  3            /usr/bin/gcc-9    90        手动模式

要维持当前值[*]请按<回车键>,或者键入选择的编号:
gcc8与debian buster适用,gcc9是ubuntu 20默认系统环境,gcc10用于高内核的vmware安装。

安装Qt

从Qt官网安装

疫情下Qt公司发生了一些变化。安装得注册账号且在线安装,由于网络原因得挂代理。
export http_proxy=http://127.0.0.1:7890/
export https_proxy=http://127.0.0.1:7890/
./qt-unified-linux-x64-4.0.1-online.run
自定义安装选择5.11.3的版本,取消勾选Sources模块和Android相关模块。
安装好后,qt的桌面文件在~/.local/share/applications

从apt源安装

不考虑版本问题,直接用apt安装
sudo apt install qt5-default qtcreator

官方Qt Creator无法使用Fctix输入法

官方安装的Qt Creator无法使用输入法,需要自己单独加一个依赖
找到 libfcitxplatforminputcontextplugin.so 。在Ubuntu 20.04 下,它位于 /usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/
ls /usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/ -al
总用量 372
drwxr-xr-x  2 root root   4096 1117 16:44 .
drwxr-xr-x 30 root root   4096 1219 22:13 ..
-rw-r--r--  1 root root  52272 49  2020 libcomposeplatforminputcontextplugin.so
-rw-r--r--  1 root root 186680 411  2020 libfcitxplatforminputcontextplugin.so
-rw-r--r--  1 root root 127080 49  2020 libibusplatforminputcontextplugin.so
然后将其复制到Qt安装目录的Qt Creator lib目录的plugin目录下
cd ~/Qt/Tools/QtCreator/lib/Qt/plugins/platforminputcontexts
cp /usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libfcitxplatforminputcontextplugin.so .
chmod +x libfcitxplatforminputcontextplugin.so 
然后再打开Qt Creator,就发现可以使用Fctix输入法了
 

Loading Comments...